package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

/**
 * Created by WangYao on 2018/5/21.
 */
public class DicResourceAuditResult {

    public static final String APPROVED = "审核通过";
    public static final String REJECTED = "审核不通过";

    private static DicResourceAuditResult instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicResourceAuditResult(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(APPROVED, APPROVED);
        dicMap.put(REJECTED, REJECTED);
    }

    public static DicResourceAuditResult getInstacne(){
        if (instance == null)
        {
            instance = new DicResourceAuditResult();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
